Welcome to the Treehouse Community

The Treehouse Community is a meeting place for developers, designers, and programmers of all backgrounds and skill levels to get support. Collaborate here on code errors or bugs that you need feedback on, or asking for an extra set of eyes on your latest project. Join thousands of Treehouse students and alumni in the community today. (Note: Only Treehouse students can comment or ask questions, but non-students are welcome to browse our conversations.)

Looking to learn something new?

Treehouse offers a seven day free trial for new students. Get access to thousands of hours of content and a supportive community. Start your free trial today.

Android

Problem with Eclipse for android development project

Heyy.I have problem regarding Android application development.I downloaded the rar package but when I tried to launch eclipse It always showed me the following message "This version of this file is not compatible with the version of windows you are running.I downloaded the 32 bit thing but it showed the same problem.I tried and downloaded all version of eclipse but I did not find the android project option anywhere.What can I do now?Please kindly help.

3 Answers

OKay, uninstall whatever eclipse version you have. Go to http://www.eclipse.org/downloads/ and select the first download option, for your respective Windows Machine 32/64 bit. This should get you started with the base java development in eclipse.

For the android tools in eclipse: go to http://developer.android.com/sdk/installing/installing-adt.html and follow the directions for installing the ADT Plugin in Eclipse

This should be all you need to get started with Android Development. Hope you have luck with this. It has worked for me on all my development machines. Good Luck! Comment back with any questions.

Yes,Now the android app manager option came but got the following message after restarting eclipse.This version of ADT requires Android SDK Tools revision 22.2.1 or above.

Current version is 20.0.3

Please update your SDK tools to the latest version.When I pressed the Open SDK manager button then I saw the following message in console application "The system cannon find the file specified ".Previously I specified the Android SDK path of the big rar file which I downloaded from treehouse.How can I fix the problem?Help please.

Use the SDK from the developer.android.com I provided above. Using the links on here can be inaccurate since the site has been around since 2012.

I tried your given link but it didn't work unfortunately.

Can you walk me through What your doing?

Sorry didn't realize your problem. You have the ADT plugin in eclipse already correct? If so then you need to go to the Android SDK Manager inside eclipse and Look for the Android SDK Tools and update them.

Ben Jakuben
Ben Jakuben
Treehouse Teacher

I created a Quick Tip video a while back that walks through the manual setup. Perhaps it might help you get all the pieces you need here: http://blog.teamtreehouse.com/getting-started-with-android-development-treehouse-quick-tip

Thanks for your helpful reply.I tried to follow the steps but got the following error- Error when loading the SDK-error-error parsing - directory address ,cvc-elt1 :Cannot find the declaration of element 'd:layout-devices'.

Then following message in console :This version of C:\Users\user\Documents\android_dev_environment\Java\jdk1.6.0_35\bin\java.exe is not compatible with the version of Windows you're running. Check your computer's system information to see whether you need a x86 (32-bit) or x64 (64-bit) version of the program, and then contact the software publisher .

Finally : Invalid path message in console just after following line.Help is highly appreciated.

Right Click control panel, and select properties. Check to make sure you OS under system settings is 32 or 64 bit. Then go to -> http://www.eclipse.org/downloads/ and download the first download for your OS. Then navigate to http://developer.android.com/sdk/index.html and download the SDK. This is a pretty simple process to setup eclipse and android. I am not sure how your having so much trouble with this. . . . If that fails, watch this http://www.youtube.com/watch?v=xtsyrKdPZVw and hopefully this will get you where you need to be.

RAGE! THIS IS REALLY IRRITATING, i have been following this stuff for the last three days and I get the dang Eclipse to work, but then my AVD stops loading, then I get the AVD, but then my project files won't load correctly.

Ben Jakuben
Ben Jakuben
Treehouse Teacher

Christian, I am very sorry that you've had a frustrating experience! My own experience getting my Android development environment up and running the first time was quite a headache. So at this point, Eclipse and the AVD are working, but you can't run the app on the AVD?

When you launch the app, Eclipse will give you some messages in the pane at the bottom, either in the LogCat tab or the Console tab. Can you copy/paste your Console messages in here? If it only says "DDMS" in the upper left, you'll need to switch to the Android console by clicking on the little computer monitor icon on the right of the pane: Eclipse console